Package org.apache.activemq.artemis.reader

## Class BytesMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.BytesMessageUtil

-     public class BytesMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CONNECTION_ID_PROPERTY_NAME_STRING, CORRELATIONID_HEADER_NAME, CORRELATIONID_HEADER_NAME_STRING, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, JMSXGROUPSEQ, JMSXUSERID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME, TYPE_HEADER_NAME_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BytesMessageUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `bytesMessageReset​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static boolean` | `bytesReadBoolean​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static byte` | `bytesReadByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static int` | `bytesReadBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, byte[] value)` |
    `static int` | `bytesReadBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, byte[] value, int length)` |
    `static char` | `bytesReadChar​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static double` | `bytesReadDouble​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static float` | `bytesReadFloat​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static int` | `bytesReadInt​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static long` | `bytesReadLong​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static short` | `bytesReadShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static int` | `bytesReadUnsignedByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static int` | `bytesReadUnsignedShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static java.lang.String` | `bytesReadUTF​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` |
    `static void` | `bytesWriteBoolean​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, boolean value)` |
    `static void` | `bytesWriteByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, byte value)` |
    `static void` | `bytesWriteBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, byte[] value)` |
    `static void` | `bytesWriteBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, byte[] value, int offset, int length)` |
    `static void` | `bytesWriteChar​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, char value)` |
    `static void` | `bytesWriteDouble​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, double value)` |
    `static void` | `bytesWriteFloat​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, float value)` |
    `static void` | `bytesWriteInt​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, int value)` |
    `static void` | `bytesWriteLong​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, long value)` |
    `static boolean` | `bytesWriteObject​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, java.lang.Object value)` | Returns true if it could send the Object to any known format
    `static void` | `bytesWriteShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, short value)` |
    `static void` | `bytesWriteUTF​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, java.lang.String value)` |

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getStringProperty, propertyExists, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSReplyTo, setJMSType, setLongProperty, setObjectProperty, setStringProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesMessageUtil

          public BytesMessageUtil()

  - ### Method Detail

    - #### bytesReadBoolean

          public static boolean bytesReadBoolean​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadByte

          public static byte bytesReadByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadUnsignedByte

          public static int bytesReadUnsignedByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadShort

          public static short bytesReadShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadUnsignedShort

          public static int bytesReadUnsignedShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadChar

          public static char bytesReadChar​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadInt

          public static int bytesReadInt​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadLong

          public static long bytesReadLong​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadFloat

          public static float bytesReadFloat​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadDouble

          public static double bytesReadDouble​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadUTF

          public static java.lang.String bytesReadUTF​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

    - #### bytesReadBytes

          public static int bytesReadBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                           byte[] value)

    - #### bytesReadBytes

          public static int bytesReadBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                           byte[] value,
                                           int length)

    - #### bytesWriteBoolean

          public static void bytesWriteBoolean​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                               boolean value)

    - #### bytesWriteByte

          public static void bytesWriteByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                            byte value)

    - #### bytesWriteShort

          public static void bytesWriteShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                             short value)

    - #### bytesWriteChar

          public static void bytesWriteChar​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                            char value)

    - #### bytesWriteInt

          public static void bytesWriteInt​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                           int value)

    - #### bytesWriteLong

          public static void bytesWriteLong​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                            long value)

    - #### bytesWriteFloat

          public static void bytesWriteFloat​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                             float value)

    - #### bytesWriteDouble

          public static void bytesWriteDouble​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                              double value)

    - #### bytesWriteUTF

          public static void bytesWriteUTF​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                           java.lang.String value)

    - #### bytesWriteBytes

          public static void bytesWriteBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                             byte[] value)

    - #### bytesWriteBytes

          public static void bytesWriteBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                             byte[] value,
                                             int offset,
                                             int length)

    - #### bytesWriteObject

          public static boolean bytesWriteObject​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                                 java.lang.Object value)

      Returns true if it could send the Object to any known format
      Parameters:
        `message` -
        `value` -
      Returns:

    - #### bytesMessageReset

          public static void bytesMessageReset​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)